ScheduledStateRef
Keywords: net.corda.core.contracts.ScheduledStateRef class
Date: 2023-09-18

net.corda.core.contracts

## Class ScheduledStateRef

- net.corda.core.contracts.ScheduledStateRef

- All Implemented Interfaces:
    Scheduled

      public class ScheduledStateRef
      implements Scheduled

  Represents a contract state (unconsumed output) of type `interface LinearState` and a point in time that a lifecycle event is expected to take place for that contract state.

  This is effectively the input to a scheduler, which wakes up at that point in time and asks the contract state what lifecycle processing needs to take place. e.g. a fixing or a late payment etc.

  See Also:
    `interface LinearState`

- - ### Constructor Detail

    - #### ScheduledStateRef

          public ScheduledStateRef(@NotNull
                                   StateRef ref,
                                   @NotNull
                                   java.time.Instant scheduledAt)

      Represents a contract state (unconsumed output) of type `interface LinearState` and a point in time that a lifecycle event is expected to take place for that contract state.

      This is effectively the input to a scheduler, which wakes up at that point in time and asks the contract state what lifecycle processing needs to take place. e.g. a fixing or a late payment etc.

      See Also:
        `interface LinearState`

  - ### Method Detail

    - #### getRef

          @NotNull
          public StateRef getRef()

    - #### getScheduledAt

          @NotNull
          public java.time.Instant getScheduledAt()

    - #### component1

          @NotNull
          public StateRef component1()

    - #### component2

          @NotNull
          public java.time.Instant component2()

    - #### copy

          @NotNull
          public ScheduledStateRef copy(@NotNull
                                                 StateRef ref,
                                                 @NotNull
                                                 java.time.Instant scheduledAt)

      Represents a contract state (unconsumed output) of type `interface LinearState` and a point in time that a lifecycle event is expected to take place for that contract state.

      This is effectively the input to a scheduler, which wakes up at that point in time and asks the contract state what lifecycle processing needs to take place. e.g. a fixing or a late payment etc.

      See Also:
        `interface LinearState`

    - #### toString

          @NotNull
          public java.lang.String toString()

      Represents a contract state (unconsumed output) of type `interface LinearState` and a point in time that a lifecycle event is expected to take place for that contract state.

      This is effectively the input to a scheduler, which wakes up at that point in time and asks the contract state what lifecycle processing needs to take place. e.g. a fixing or a late payment etc.

      See Also:
        `interface LinearState`

    - #### hashCode

          public int hashCode()

      Represents a contract state (unconsumed output) of type `interface LinearState` and a point in time that a lifecycle event is expected to take place for that contract state.

      This is effectively the input to a scheduler, which wakes up at that point in time and asks the contract state what lifecycle processing needs to take place. e.g. a fixing or a late payment etc.

      See Also:
        `interface LinearState`

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      Represents a contract state (unconsumed output) of type `interface LinearState` and a point in time that a lifecycle event is expected to take place for that contract state.

      This is effectively the input to a scheduler, which wakes up at that point in time and asks the contract state what lifecycle processing needs to take place. e.g. a fixing or a late payment etc.

      See Also:
        `interface LinearState`